## nailgun 0.7.1

=== debian/changelog ===
nailgun (0.7.1-3) unstable; urgency=low

  * Team upload.
  * Disable junitreport ant target in build.xml. (Closes: #592823)
  * Remove binary build artifact so the package builds twice in a row.

 -- tony mancill <tmancill@debian.org>  Sat, 21 Aug 2010 22:20:39 -0700

nailgun (0.7.1-2) unstable; urgency=low

  * Move Build-Depends-Indep to Build-Depends. (Closes: #591926)

 -- Torsten Werner <twerner@debian.org>  Fri, 06 Aug 2010 17:17:03 +0200

nailgun (0.7.1-1) unstable; urgency=low

  * Initial release
    - install ng as ng-nailgun

 -- Hideki Yamane (Debian-JP) <henrich@debian.or.jp>  Tue, 23 Mar 2010 10:39:45 +0900

## nailgun 0.9.0+trunk95

=== Makefile ===
# This Makefile has only been tested on linux.  It uses
# MinGW32 to cross-compile for windows.  To install and
# configure MinGW32 on linux, see http://www.mingw.org


# This is where the mingw32 compiler exists in Ubuntu 8.04.
# Your compiler location may vary.
WIN32_CC=/usr/bin/i586-mingw32msvc-gcc

CC=gcc
CFLAGS=-Wall -pedantic -s -O3

ng: src/c/ng.c
	@echo "Building ng client.  To build a Windows binary, type 'make ng.exe'"
	${CC} ${CFLAGS} -o ng src/c/ng.c

ng.exe: src/c/ng.c
	${WIN32_CC} -o ng.exe src/c/ng.c -lwsock32 -O3 ${CFLAGS}
# any idea why the command line is so sensitive to the order of
# the arguments?  If CFLAGS is at the beginning, it won't link.
	
clean:
	@echo "If you have a Windows binary, 'make clean' won't delete it."
	@echo "You must remove this manually.  Most users won't have MinGW"
	@echo "installed - so I'd rather not delete something you can't rebuild."
	rm ng
#	rm ng.exe

=== debian/changelog ===
nailgun (0.9.0+trunk95-3) unstable; urgency=low

  * Upload to unstable. 

 -- Hideki Yamane <henrich@debian.org>  Wed, 09 Jan 2013 20:38:21 +0900

nailgun (0.9.0+trunk95-2) experimental; urgency=low

  * Team upload.
  * debian/rules
    - use debian/ant.properties to specify version to avoid incompatible
      java bytecode format with OpenJDK 7 issue (LP: #1049742)
  * add debian/ant.properties
    - use "ant.build.javac.{source,target}=1.6"
  * debian/control
    - set "Standards-Version: 3.9.4" 

 -- Hideki Yamane <henrich@debian.org>  Sat, 15 Dec 2012 08:41:01 +0900

nailgun (0.9.0+trunk95-1) unstable; urgency=medium

  * Bump up version number since it produces jar files with version as 
    0.9.0. Nothing changed in upstream source.
  * set "urgency=medium" to introduce other packages' security fix to testing
    quickly.
  * debian/nailgun.links
    - fix wrong symlink, now it should be changed to 0.9.0 (Closes: #688186)

 -- Hideki Yamane <henrich@debian.org>  Thu, 20 Sep 2012 22:58:48 +0900

nailgun (0.7.1+trunk95-1) unstable; urgency=medium

  * Taken from Subversion repository
  * debian/control
    - update to "Standard-Version: 3.9.3"
    - update my e-mail address
    - set "Build-Depends: debhelper (>= 9)" to enable hardening
  * debian/patches
    - refresh all two patches
    - add "name_define_as_ng-nailgun_ng.c.patch" to avoid
      ClassNotFoundException (LP: #793859)
    - add "Makefile_enable_hardening.patch" to enable hardening
  * debian/rules
    - enable hardening
  * debian/compat
    - set 9 to enable hardening

 -- Hideki Yamane <henrich@debian.org>  Thu, 19 Jul 2012 07:12:55 +0900

=== debian/control ===
Source: nailgun
Section: java
Priority: extra
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Hideki Yamane <henrich@debian.org>,
 Torsten Werner <twerner@debian.org>
Build-Depends: debhelper (>= 9), ant, ant-optional, default-jdk,
 libcobertura-java, junit
Standards-Version: 3.9.4
Homepage: http://martiansoftware.com/nailgun/
Vcs-Git: git://git.debian.org/pkg-java/nailgun.git
Vcs-Browser: http://git.debian.org/?p=pkg-java/nailgun.git

Package: nailgun
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: client, protocol, and server for running Java programs from CLI
 Nailgun is a client, protocol, and server for running Java programs from 
 the command line without incurring the JVM startup overhead. Programs run 
 in the server (which is implemented in Java), and are triggered by the 
 client (written in C), which handles all I/O.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS := hardening=+all
export ANT="ant -propertyfile $(CURDIR)/debian/ant.properties"

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -S ant
	cp $(CURDIR)/ng	$(CURDIR)/ng-nailgun

override_dh_auto_clean:
	-dh_auto_clean -S ant
	-rm $(CURDIR)/ng-nailgun

get-orig-source:
	uscan --force-download --rename

## nailgun 0.9.1

=== Makefile ===
--- 
+++ 
@@ -9,19 +9,25 @@
 
 CC=gcc
 CFLAGS=-Wall -pedantic -s -O3
+SRCDIR=nailgun-client
 
-ng: src/c/ng.c
+ng: ${SRCDIR}/ng.c
 	@echo "Building ng client.  To build a Windows binary, type 'make ng.exe'"
-	${CC} ${CFLAGS} -o ng src/c/ng.c
+	${CC} ${CFLAGS} -o ng ${SRCDIR}/ng.c
 
-ng.exe: src/c/ng.c
-	${WIN32_CC} -o ng.exe src/c/ng.c -lwsock32 -O3 ${CFLAGS}
+install: ng
+	install ng /usr/local/bin
+	
+ng.exe: ${SRCDIR}/ng.c
+	${WIN32_CC} -o ng.exe ${SRCDIR}/ng.c -lwsock32 -O3 ${CFLAGS}
 # any idea why the command line is so sensitive to the order of
 # the arguments?  If CFLAGS is at the beginning, it won't link.
 	
 clean:
+	@echo ""
 	@echo "If you have a Windows binary, 'make clean' won't delete it."
 	@echo "You must remove this manually.  Most users won't have MinGW"
 	@echo "installed - so I'd rather not delete something you can't rebuild."
-	rm ng
-#	rm ng.exe
+	@echo ""
+	rm -f ng
+#	rm -f ng.exe

=== debian/changelog ===
nailgun (0.9.1-3) unstable; urgency=medium

  * Team upload.
  * Build with maven-debian-helper to fix the build failure caused
    by the maven plugins upgrades.

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 13 Nov 2015 08:33:21 +0100

nailgun (0.9.1-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable. 

 -- Hideki Yamane <henrich@debian.org>  Wed, 29 Apr 2015 23:50:06 +0900

nailgun (0.9.1-1) experimental; urgency=medium

  [ Hideki Yamane ]
  * Team upload.
  * New upstream release 
  * debian/patches
    - drop 0001-update-build.xml-for-cobertura.patch and
      0002-update-build.xml-disable-junitreport.patch.
      Since upstream dropped build.xml
    - refresh patches:
      + Makefile_enable_hardening.patch
      + name_define_as_ng-nailgun_ng.c.patch (LP: #793859)
    - add disable_install_target.patch
  * add debian/install
  * improve debian/control via mh_make
  * enable maven build in debian/rules

  [ Miguel Landaeta ]
  * Update debian/watch.
  * Provide maven artifacts. (Closes: #776087).
    - Introduce 2 new patches:
      + debian/patches/adjust_maven_plugins_versions.patch
      + debian/patches/remove_parent_from_main_pom.patch
    - Add B-D on libmaven-source-plugin-java and libmaven-install-plugin-java.
  * Wrap and sort dependencies lists.
  * Bump Standards-Version to 3.9.6. No changes were required.
  * Update dates in d/copyright.
  * Fix clean target in d/rules to allow twice in row builds.

 -- Miguel Landaeta <nomadium@debian.org>  Thu, 12 Feb 2015 23:06:03 -0300

=== debian/control ===
Source: nailgun
Section: java
Priority: extra
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Hideki Yamane <henrich@debian.org>,
 Torsten Werner <twerner@debian.org>
Build-Depends:
 debhelper (>= 9),
 default-jdk,
 maven-debian-helper (>= 1.5)
Standards-Version: 3.9.6
Homepage: http://martiansoftware.com/nailgun/
Vcs-Git: git://anonscm.debian.org/pkg-java/nailgun.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-java/nailgun.git

Package: nailgun
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Description: client, protocol, and server for running Java programs from CLI
 Nailgun is a client, protocol, and server for running Java programs from 
 the command line without incurring the JVM startup overhead. Programs run 
 in the server (which is implemented in Java), and are triggered by the 
 client (written in C), which handles all I/O.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk

export JAVA_HOME := /usr/lib/jvm/default-java

export DEB_BUILD_MAINT_OPTIONS := hardening=+all

%:
	dh $@ --buildsystem=maven

override_dh_auto_build:
	make
	dh_auto_build
	cp $(CURDIR)/ng	$(CURDIR)/ng-nailgun

override_dh_auto_clean:
	dh_auto_clean
	make clean
	rm -f $(CURDIR)/ng-nailgun

get-orig-source:
	uscan --force-download --rename

=== debian/watch ===
version=3
https://github.com/martylamb/nailgun/releases \
  /martylamb/nailgun/archive/nailgun-all-([0-9]+.*)\.tar\.gz

## nailgun 0.9.3

=== Makefile ===
--- 
+++ 
@@ -7,16 +7,17 @@
 # Your compiler location may vary.
 WIN32_CC=/usr/bin/i586-mingw32msvc-gcc
 
-CC=gcc
-CFLAGS=-Wall -pedantic -s -O3
+CFLAGS=-Wall -pedantic -O2
 SRCDIR=nailgun-client
+PREFIX=/usr/local
 
 ng: ${SRCDIR}/ng.c
 	@echo "Building ng client.  To build a Windows binary, type 'make ng.exe'"
-	${CC} ${CFLAGS} -o ng ${SRCDIR}/ng.c
+	${CC} $(CPPFLAGS) $(CFLAGS) $(LDFLAGS) -o ng ${SRCDIR}/ng.c
 
 install: ng
-	install ng /usr/local/bin
+	install -d ${PREFIX}/bin
+	install ng ${PREFIX}/bin
 	
 ng.exe: ${SRCDIR}/ng.c
 	${WIN32_CC} -o ng.exe ${SRCDIR}/ng.c -lwsock32 -O3 ${CFLAGS}

=== debian/changelog ===
nailgun (0.9.3-3) unstable; urgency=medium

  * debian/control
    - Update Vcs-* to use salsa.debian.org
    - Set Standards-Version: 4.1.4
  * debian/rules
    - Remove unnecessary get-orig-source target

 -- Hideki Yamane <henrich@debian.org>  Fri, 01 Jun 2018 10:20:31 +0900

nailgun (0.9.3-2) unstable; urgency=medium

  * debian/control
    - add ${maven:Depends} to fix dependency to libjna-platform-java
      (Closes: #890592)

 -- Hideki Yamane <henrich@debian.org>  Tue, 06 Mar 2018 22:12:47 +0900

nailgun (0.9.3-1) unstable; urgency=medium

  * New upstream release
  * debian/patches
    - drop Makefile_enable_hardening.patch: merged upstream
    - refresh other patches
  * debian/control
    - add Build-Depends: libmaven-shade-plugin-java, libjna-platform-java
    - Standards-Version: 4.1.3

 -- Hideki Yamane <henrich@debian.org>  Sat, 10 Feb 2018 21:44:39 +0900

nailgun (0.9.1-7) unstable; urgency=medium

  * debian/control
    - upstream moves to https://github.com/facebook/nailgun, update Homepage: 
  * debian/watch
    - update as well

 -- Hideki Yamane <henrich@debian.org>  Wed, 25 Oct 2017 20:45:45 +0900

nailgun (0.9.1-6) unstable; urgency=medium

  * debian/control
    - set Priority: optional
    - Standards-Version: 4.1.1

 -- Hideki Yamane <henrich@debian.org>  Sat, 21 Oct 2017 08:19:07 +0900

nailgun (0.9.1-5) unstable; urgency=medium

  * debian/control
    - set Standards-Version: 4.1.0 

 -- Hideki Yamane <henrich@debian.org>  Tue, 05 Sep 2017 20:39:29 +0900

nailgun (0.9.1-4) unstable; urgency=medium

  * debian/control
    - update Vcs-* 
    - set Build-Depends: debhelper (>= 10)
    - set Standards-Version: 4.0.0
  * debian/compat
    - set 10
  * debian/watch
    - update to version 4
  * debian/copyright
    - update upstream Source URL
  * debian/patches
    - forward Makefile_enable_hardening.patch to upstream

 -- Hideki Yamane <henrich@debian.org>  Thu, 27 Jul 2017 21:39:32 +0900

=== debian/control ===
Source: nailgun
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Hideki Yamane <henrich@debian.org>,
 Torsten Werner <twerner@debian.org>
Build-Depends:
 debhelper (>= 10),
 default-jdk,
 libmaven-shade-plugin-java,
 libjna-platform-java,
 maven-debian-helper (>= 1.5)
Standards-Version: 4.1.4
Homepage: https://github.com/facebook/nailgun
Vcs-Git: https://salsa.debian.org/java-team/nailgun.git
Vcs-Browser: https://salsa.debian.org/java-team/nailgun

Package: nailgun
Architecture: any
Depends:
 ${shlibs:Depends},
 ${maven:Depends},
 ${misc:Depends}
Description: client, protocol, and server for running Java programs from CLI
 Nailgun is a client, protocol, and server for running Java programs from 
 the command line without incurring the JVM startup overhead. Programs run 
 in the server (which is implemented in Java), and are triggered by the 
 client (written in C), which handles all I/O.

=== debian/rules ===
--- 
+++ 
@@ -18,6 +18,3 @@
 	dh_auto_clean
 	make clean
 	rm -f $(CURDIR)/ng-nailgun
-
-get-orig-source:
-	uscan --force-download --rename

=== debian/watch ===
version=4
https://github.com/facebook/nailgun/releases \
  /facebook/@PACKAGE@/archive/nailgun-all@ANY_VERSION@@ARCHIVE_EXT@
